> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update key quorum

Propose an intent to update a key quorum itself -- changing its name, members, or authorization threshold. This intent must be authorized by a sufficient number of members of the existing quorum.

This endpoint accepts the same request body as the synchronous [Update key quorum](/api-reference/key-quorums/update) endpoint but does **not** require authorization signatures in the request.

<Info>
  Intents expire 72 hours after creation by default. Signers must
  [authorize](/transaction-management/intents/sign-intents) them within this window.
</Info>

<Tabs>
  <Tab title="REST API">
    ```bash theme={"system"}
    curl -X PATCH https://api.privy.io/v1/intents/key_quorums/<key_quorum_id> \
      -u "<your-privy-app-id>:<your-privy-app-secret>" \
      -H "privy-app-id: <your-privy-app-id>" \
      -H "Content-Type: application/json" \
      -d '{
        "authorization_threshold": 2
      }'
    ```
  </Tab>

  <Tab title="Node SDK">
    ```typescript {skip-check} theme={"system"}
    import {PrivyClient, type IntentUpdateKeyQuorumParams} from '@privy-io/node';

    const client = new PrivyClient({
      appId: 'your-app-id',
      appSecret: 'your-app-secret'
    });

    const quorumUpdate: IntentUpdateKeyQuorumParams = {
      authorization_threshold: 2
    };

    const intent = await client.intents().updateKeyQuorum('insert-key-quorum-id', quorumUpdate);

    console.log(intent.intent_id, intent.status, intent.authorization_details);
    ```
  </Tab>

  <Tab title="Go SDK">
    ```go theme={"system"}
    import privy "github.com/privy-io/go-sdk"

    client := privy.NewPrivyClient(privy.PrivyClientOptions{
        AppID:     "your-app-id",
        AppSecret: "your-app-secret",
    })

    intent, err := client.Intents.UpdateKeyQuorum(ctx, "key-quorum-id", privy.IntentUpdateKeyQuorumParams{
        KeyQuorumUpdateRequestBody: privy.KeyQuorumUpdateRequestBody{
            AuthorizationThreshold: privy.Float(2),
        },
    })
    ```
  </Tab>

  <Tab title="Ruby SDK">
    ```ruby theme={"system"}
    require "privy"

    client = Privy::PrivyClient.new(
      app_id: "your-app-id",
      app_secret: "your-app-secret"
    )

    intent = client.intents.update_key_quorum(
      "key-quorum-id",
      authorization_threshold: 2
    )

    puts(intent.intent_id, intent.status, intent.authorization_details)
    ```
  </Tab>

  <Tab title="Java SDK">
    ```java theme={"system"}
    import io.privy.api.PrivyClient;
    import io.privy.api.models.components.KeyQuorumUpdateRequestBody;
    import io.privy.api.models.operations.IntentKeyQuorumUpdateResponse;

    PrivyClient client = PrivyClient.builder()
        .appId("your-privy-app-id")
        .appSecret("your-app-secret")
        .build();

    IntentKeyQuorumUpdateResponse intent = client.intents().updateKeyQuorum(
        "insert-key-quorum-id",
        KeyQuorumUpdateRequestBody.builder()
            .authorizationThreshold(2d)
            .build(),
        null);
    ```
  </Tab>
</Tabs>

View the [API reference](/api-reference/intents/update-key-quorum) for submitting a key quorum intent.

## Next steps

<CardGroup cols={2}>
  <Card title="Sign intents" icon="signature" href="/transaction-management/intents/sign-intents">
    Add authorization signatures to execute a proposed intent.
  </Card>

  <Card title="Intent status" icon="arrows-spin" href="/transaction-management/intents/lifecycle">
    Track an intent from proposal to execution.
  </Card>
</CardGroup>
